Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataobjs
Class DBMatchSet

    java.lang.Object
      com.knowgate.dataobjs.DBMatchSet

    public class DBMatchSet

extends java.lang.Object

Hold a subset of rows from a Levenshtein distance or pattern matching execution

Constructor Summary
`DBMatchSet()` Default constructor
`DBMatchSet(int nItems)` Create match set with maximum number of matches When a maximum is specified, those items with less matching grade will be discarded by the put method after the limit is reached.

Method Summary
`int` | `count()` Count of matches in this set
`DBMatch` | `get(int m)`
`java.util.ListIterator` | `iterator()`
`void` | `put(java.lang.String sRecordGuid, java.lang.Object oRecordValue, int iRecordIndex, float fMatchPct)` Insert new match
`DBMatch[]` | `toArray()` Get array of matches sorted by their degree
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBMatchSet

    public DBMatchSet()

  Default constructor

### DBMatchSet

    public DBMatchSet(int nItems)

  Create match set with maximum number of matches

  When a maximum is specified, those items with less matching grade will be discarded by the put method after the limit is reached.

  Parameters:
    `nItems` - Maximum number of matches to keep in this set

Method Detail

### put

    public void put(java.lang.String sRecordGuid,
                    java.lang.Object oRecordValue,
                    int iRecordIndex,
                    float fMatchPct)

  Insert new match

  Parameters:
    `sRecordGuid` - Unique identifier of record originating the match
    `oRecordValue` - Value of matching element
    `iRecordIndex` - Index of matching element at DBSubset or RecordSet
    `fMatchPct` - Match degree percentage [0..100]

### iterator

    public java.util.ListIterator iterator()

### get

    public DBMatch get(int m)

### toArray

    public DBMatch[] toArray()

  Get array of matches sorted by their degree

  Returns:
    DBMatch[]

### count

    public int count()

  Count of matches in this set

### toXML

    public java.lang.String toXML()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD